%define pypi_name pygments

Name:           python-pygments
Version:        2.19.1
Release:        %mkrel 3
Summary:        Syntax highlighting package written in Python
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/Pygments
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Pygments is a syntax highlighting package written in Python. It is a generic
syntax highlighter for general use in all kinds of software such as forum
systems, wikis or other applications that need to prettify source code.
Highlights are:

* a wide range of common languages and markup formats is supported
* special attention is paid to details, increasing quality by a fair amount
* support for new languages and formats are added easily
* a number of output formats, presently HTML, LaTeX, RTF, SVG and ANSI
  sequences
* it is usable as a command-line tool and as a library
* ... and it highlights even Brainf*ck!

%package -n python3-%{pypi_name}
Summary:        Syntax highlighting package written in Python3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pygments is a syntax highlighting package written in Python. It is a
generic syntax highlighter for general use in all kinds of software
such as forum systems, wikis or other applications that need to
prettify source code.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

install -Dm0644 doc/pygmentize.1 %{buildroot}%{_mandir}/man1/pygmentize.1

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc AUTHORS CHANGES

%{_bindir}/pygmentize
%{_mandir}/man1/pygmentize.1*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.19.1-3.mga10
+ Revision: 2236130
- Mageia 10 Mass Rebuild

* Fri Feb 21 2025 neoclust <neoclust> 2.19.1-2.mga10
+ Revision: 2150345
- Rebuild against python 3.13

* Mon Feb 10 2025 daviddavid <daviddavid> 2.19.1-1.mga10
+ Revision: 2146656
- new version: 2.19.1

* Mon Apr 01 2024 daviddavid <daviddavid> 2.17.2-1.mga10
+ Revision: 2053574
- new version: 2.17.2

* Thu Dec 07 2023 wally <wally> 2.16.1-2.mga10
+ Revision: 2014801
- rebuild for py3.12

* Fri Sep 08 2023 papoteur <papoteur> 2.16.1-1.mga10
+ Revision: 1985174
- new 2.16.1

* Sun Oct 02 2022 neoclust <neoclust> 2.13.0-1.mga9
+ Revision: 1894058
- New version 2.13.0

* Wed Sep 07 2022 neoclust <neoclust> 2.12.0-1.mga9
+ Revision: 1885133
- New version  2.12.0

* Wed Mar 23 2022 umeabot <umeabot> 2.10.0-4.mga9
+ Revision: 1822498
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 joequant <joequant> 2.10.0-3.mga9
+ Revision: 1773935
- update to python 3.10

* Sun Feb 06 2022 wally <wally> 2.10.0-2.mga9
+ Revision: 1771903
- rebuild for python3.10

* Tue Aug 31 2021 wally <wally> 2.10.0-1.mga9
+ Revision: 1743790
- new version 2.10.0

* Sun Aug 08 2021 luigiwalser <luigiwalser> 2.9.0-1.mga9
+ Revision: 1740660
- 2.9.0

* Sun Mar 14 2021 wally <wally> 2.8.1-1.mga9
+ Revision: 1702618
- new version 2.8.1
- rebuild for python 3.9

* Sat Feb 27 2021 neoclust <neoclust> 2.7.4-1.mga9
+ Revision: 1692467
- New version 2.7.4 (Fixes a CVE) (mga#28319)

* Wed Dec 30 2020 luigiwalser <luigiwalser> 2.7.3-1.mga8
+ Revision: 1666267
- 2.7.3

* Sat Nov 07 2020 guillomovitch <guillomovitch> 2.7.2-1.mga8
+ Revision: 1643240
- new version 2.7.2

* Sat May 16 2020 wally <wally> 2.6.1-1.mga8
+ Revision: 1584380
- new version 2.6.1

* Fri Feb 28 2020 shlomif <shlomif> 2.5.2-1.mga8
+ Revision: 1551637
- New version 2.5.2

* Sun Feb 16 2020 umeabot <umeabot> 2.4.2-4.mga8
+ Revision: 1530691
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 2.4.2-3.mga8
+ Revision: 1437157
- rebuild with new python-rpm-macros

* Tue Sep 03 2019 wally <wally> 2.4.2-2.mga8
+ Revision: 1436803
- rebuild for python3.8
- drop python2 support

* Mon Jul 15 2019 tv <tv> 2.4.2-1.mga8
+ Revision: 1421622
- new release

* Sat Apr 20 2019 wally <wally> 2.3.1-1.mga7
+ Revision: 1393760
- new version 2.3.1

* Sat Jan 05 2019 wally <wally> 2.2.0-6.mga7
+ Revision: 1349576
- rebuild for python3.7

* Fri Nov 02 2018 kekepower <kekepower> 2.2.0-5.mga7
+ Revision: 1327606
- Fix Requires for python2-pkg-resources

* Fri Nov 02 2018 kekepower <kekepower> 2.2.0-4.mga7
+ Revision: 1327581
- Rename python-pygments to python2-pygments
- Use python_provide

* Thu Sep 20 2018 umeabot <umeabot> 2.2.0-3.mga7
+ Revision: 1289782
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 tv <tv> 2.2.0-2.mga7
+ Revision: 1134667
- rebuild for new python

* Thu Aug 03 2017 philippem <philippem> 2.2.0-1.mga7
+ Revision: 1134280
- update to 2.2.0

* Sat Apr 16 2016 philippem <philippem> 2.1.3-1.mga6
+ Revision: 1003076
- update to 2.1.3

* Mon Dec 14 2015 philippem <philippem> 2.0.2-4.mga6
+ Revision: 910469
- better fix for shell injection security issue mga#17331

* Thu Nov 19 2015 philippem <philippem> 2.0.2-3.mga6
+ Revision: 904352
- Backport patch to fix font manager shell injection for mga#17165

* Wed Oct 07 2015 tv <tv> 2.0.2-2.mga6
+ Revision: 886729
- rebuild for python 3.5

* Thu Aug 20 2015 joequant <joequant> 2.0.2-1.mga6
+ Revision: 866939
- upgrade to 2.0.2

* Wed Oct 15 2014 umeabot <umeabot> 1.6-8.mga6
+ Revision: 745456
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6-7.mga5
+ Revision: 726917
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6-6.mga5
+ Revision: 688257
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.6-5.mga5
+ Revision: 628947
- Rebuild for new Python

* Tue Oct 22 2013 philippem <philippem> 1.6-4.mga4
+ Revision: 546306
- fix rel, Rebuild to add different pythonegg provides for python 2 and 3
- cleaning spec
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ pterjan <pterjan>
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 02 2013 philippem <philippem> 1.6-2.mga4
+ Revision: 449652
- add Python3

* Mon Feb 11 2013 fwang <fwang> 1.6-1.mga3
+ Revision: 397845
- new version 1.6 final

* Sun Jan 20 2013 barjac <barjac> 1.6-0.rc1.1.mga3
+ Revision: 390024
- new version with RPMSpec lexer
- patched to highlight Suggests
- should fix Mga #7906

* Sun Jan 13 2013 umeabot <umeabot> 1.5-2.mga3
+ Revision: 379348
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 philippem <philippem> 1.5-1.mga3
+ Revision: 290083
- New upstream release 1.5

* Mon Feb 21 2011 ahmad <ahmad> 1.4-2.mga1
+ Revision: 55580
- rebuild to make all pythonegg requires/provides lowercase

* Thu Feb 03 2011 ahmad <ahmad> 1.4-1.mga1
+ Revision: 46751
- update to 1.4

* Mon Jan 17 2011 pterjan <pterjan> 1.3.1-6.mga1
+ Revision: 21281
- Rebuild for python 2.7

* Thu Jan 13 2011 ahmad <ahmad> 1.3.1-5.mga1
+ Revision: 8347
- drop the old %%py_requires macro and add BR python-devel
- imported package python-pygments


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 1.3.1-4mdv2011.0
+ Revision: 589997
- rebuild for python 2.7

* Mon May 03 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.1-3mdv2010.1
+ Revision: 541787
- add python-pkg-resources dependency

* Thu Apr 01 2010 Lev Givon <lev@mandriva.org> 1.3.1-2mdv2010.1
+ Revision: 530751
- Fix file inclusion.
- Update to 1.3.1.

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.2-1mdv2010.1
+ Revision: 488810
- update to new version 1.2.2

* Sun Jan 03 2010 Frederik Himpe <fhimpe@mandriva.org> 1.2.1-1mdv2010.1
+ Revision: 485874
- update to new version 1.2.1

* Mon Sep 14 2009 Lev Givon <lev@mandriva.org> 1.1-1mdv2010.0
+ Revision: 441076
- Update to 1.1.

* Thu May 07 2009 Michael Scherer <misc@mandriva.org> 1.0-2mdv2010.0
+ Revision: 372783
- fix missing directory, close bug #50659
- remove generation of .pyo

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 1.0-1mdv2009.1
+ Revision: 324274
- New upstream release

* Mon Dec 29 2008 Funda Wang <fwang@mandriva.org> 0.11.1-2mdv2009.1
+ Revision: 320911
- add BR
- rebuild for new python

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11.1-1mdv2009.1
+ Revision: 305851
- update to new version 0.11.1

* Tue Aug 19 2008 Lev Givon <lev@mandriva.org> 0.10-1mdv2009.0
+ Revision: 274019
- Update to 0.10.

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.9-5mdv2009.0
+ Revision: 259771
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.9-4mdv2009.0
+ Revision: 247598
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9-2mdv2008.1
+ Revision: 171064
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9-1mdv2008.1
+ Revision: 100733
- import python-pygments


